; docformat = 'rst'
;+
; This is an example program to demonstrate how to create a windrose diagram
; with Coyote Graphics routines.
;
; :Categories:
;    Graphics
;    
; :Examples:
;    Save the program as "windrose_plot.pro" and run it like this::
;       IDL> .RUN windrose_plot
;       
; :Author:
;    FANNING SOFTWARE CONSULTING::
;       David W. Fanning 
;       1645 Sheely Drive
;       Fort Collins, CO 80526 USA
;       Phone: 970-221-0438
;       E-mail: david@idlcoyote.com
;       Coyote's Guide to IDL Programming: http://www.idlcoyote.com
;
; :History:
;     Change History::
;        Written, 7 March 2013 by David W. Fanning.
;
; :Copyright:
;     Copyright (c) 2013, Fanning Software Consulting, Inc.
;-
PRO WindRose_Plot
 
   ; Set up variables for the plot. Normally, these values would be 
   ; passed into the program as positional and keyword parameters.
   file = cgFindPathTo('94018_90.sam')
   title = 'Boulder Station 1990'
   
   ; Draw the windrose plot.                                          
   cgWindRose, SAMFile=file, Title=title
       
END ;*****************************************************************

; This main program shows how to call the program and produce
; various types of output.

  ; Display the plot in a graphics window.
  WindRose_Plot
  
  ; Display the plot in a resizeable graphics window.
;  cgWindow, 'WindRose_Plot', WTitle='WindRose Plot in a Resizeable Graphics Window', $
;    WXSize=600, WYSize=600, WAspect=1.0
;  
;  ; Create a PostScript file.
;  cgPS_Open, 'windrose_plot.ps'
;  WindRose_Plot
;  cgPS_Close
;  
;  ; Create a PNG file with a width of 600 pixels.
;  cgPS2Raster, 'windrose_plot.ps', /PNG, Width=600, /Portrait

END